<app-common-header name="Backup"></app-common-header>

<ion-content>
    <div>
        <p>{{accountName}}</p>
        <p>{{address}}</p>
    </div>
    <div *ngIf="isShow">
        <img [src]='qrCode' *ngIf="isQr" />
        <p *ngIf="!isQr">Your backup file is too large to show in QR code.</p>
        <ion-button (click)="onSave()">Save to file</ion-button>
    </div>
    <div *ngIf="!isShow" class="loading">
        <ion-spinner name="dots"></ion-spinner>
    </div>
</ion-content>